function ret_val = usbDeviceDiscover()
  % usbDeviceDiscover
  %   Discover all connected chronoptics usb cameras
  %
  % Output:
  %   ret_val - vector[UsbDevice] - The usb devices
  %

  ret_val = tof.mex('tof_usb_device_discover');
  ret_val = arrayfun(@(vec_obj)tof.UsbDevice(vec_obj), ret_val);
end

